#!/bin/bash

target_dir='paw-fr-11_pw_standard'
#target_dir='paw-fr-11_pbe_standard'
#target_dir='paw-fr-11_pbesol_standard'

mkdir -p $target_dir

elements=`ls -d */`

for element in $elements; do
  if [[ "${element::-1}" == "$target_dir" ]]; then
        continue
  fi

  echo "${element::-1}"

  #  Ag/  Ag.LDA_PW-JTH.xml  Ag.LDA-PW-paw.UPF
  for F in xml UPF; do
     f=`echo ${F,,}`
     cp ${element::-1}/*.$F $target_dir/${element::-1}.$f
  done

done

cd $target_dir
echo "create tarballs for each prefix"

for element in $elements; do
  if [[ "${element::-1}" == "$target_dir" ]]; then
        continue
  fi
  echo "  creating $element tarballs..."
  for F in xml upf; do
     tar czf ../${target_dir}_${F}.tgz ${element::-1}.${F}
  done
done

cd ..

echo "compress all elements in $target_dir..."
gzip $target_dir/*
